package com.mortals.xhx.module.window.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.window.model.vo.WindowVo;
/**
* 站点部门窗口实体对象
*
* @author zxfei
* @date 2022-01-12
*/

public class WindowEntity extends WindowVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点ID
    */
    private Long siteId;
    /**
    * 站点名称
    */
    private String siteName;
    /**
    * 部门ID
    */
    private Long deptId;
    /**
    * 部门名称
    */
    private String deptName;
    /**
    * 窗口名称
    */
    private String name;
    /**
    * 英语窗口名
    */
    private String englishName;
    /**
    * 区域
    */
    private String region;
    /**
    * 英语区域
    */
    private String englishRegion;
    /**
    * 窗口编号
    */
    private String fromnum;
    /**
    * 红旗窗口 (1.是，0.否)
    */
    private Integer hongqi;
    /**
    * 备注
    */
    private String summary;
    /**
    * 楼栋
    */
    private Integer building;
    /**
    * 楼层
    */
    private Integer level;



    public WindowEntity(){}
    /**
    * 获取 站点ID
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点ID
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 站点名称
    * @return String
    */
    public String getSiteName(){
        return siteName;
    }
    /**
    * 设置 站点名称
    * @param siteName
    */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
    * 获取 部门ID
    * @return Long
    */
    public Long getDeptId(){
        return deptId;
    }
    /**
    * 设置 部门ID
    * @param deptId
    */
    public void setDeptId(Long deptId){
        this.deptId = deptId;
    }
    /**
    * 获取 部门名称
    * @return String
    */
    public String getDeptName(){
        return deptName;
    }
    /**
    * 设置 部门名称
    * @param deptName
    */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }
    /**
    * 获取 窗口名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 窗口名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 英语窗口名
    * @return String
    */
    public String getEnglishName(){
        return englishName;
    }
    /**
    * 设置 英语窗口名
    * @param englishName
    */
    public void setEnglishName(String englishName){
        this.englishName = englishName;
    }
    /**
    * 获取 区域
    * @return String
    */
    public String getRegion(){
        return region;
    }
    /**
    * 设置 区域
    * @param region
    */
    public void setRegion(String region){
        this.region = region;
    }
    /**
    * 获取 英语区域
    * @return String
    */
    public String getEnglishRegion(){
        return englishRegion;
    }
    /**
    * 设置 英语区域
    * @param englishRegion
    */
    public void setEnglishRegion(String englishRegion){
        this.englishRegion = englishRegion;
    }
    /**
    * 获取 窗口编号
    * @return String
    */
    public String getFromnum(){
        return fromnum;
    }
    /**
    * 设置 窗口编号
    * @param fromnum
    */
    public void setFromnum(String fromnum){
        this.fromnum = fromnum;
    }
    /**
    * 获取 红旗窗口 (1.是，0.否)
    * @return Integer
    */
    public Integer getHongqi(){
        return hongqi;
    }
    /**
    * 设置 红旗窗口 (1.是，0.否)
    * @param hongqi
    */
    public void setHongqi(Integer hongqi){
        this.hongqi = hongqi;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getSummary(){
        return summary;
    }
    /**
    * 设置 备注
    * @param summary
    */
    public void setSummary(String summary){
        this.summary = summary;
    }
    /**
    * 获取 楼栋
    * @return Integer
    */
    public Integer getBuilding(){
        return building;
    }
    /**
    * 设置 楼栋
    * @param building
    */
    public void setBuilding(Integer building){
        this.building = building;
    }
    /**
    * 获取 楼层
    * @return Integer
    */
    public Integer getLevel(){
        return level;
    }
    /**
    * 设置 楼层
    * @param level
    */
    public void setLevel(Integer level){
        this.level = level;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof WindowEntity) {
            WindowEntity tmp = (WindowEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",siteName:").append(getSiteName());
        sb.append(",deptId:").append(getDeptId());
        sb.append(",deptName:").append(getDeptName());
        sb.append(",name:").append(getName());
        sb.append(",englishName:").append(getEnglishName());
        sb.append(",region:").append(getRegion());
        sb.append(",englishRegion:").append(getEnglishRegion());
        sb.append(",fromnum:").append(getFromnum());
        sb.append(",hongqi:").append(getHongqi());
        sb.append(",summary:").append(getSummary());
        sb.append(",building:").append(getBuilding());
        sb.append(",level:").append(getLevel());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteId = null;

            this.siteName = null;

            this.deptId = null;

            this.deptName = null;

            this.name = null;

            this.englishName = null;

            this.region = null;

            this.englishRegion = null;

            this.fromnum = null;

            this.hongqi = 1;

            this.summary = null;

            this.building = 1;

            this.level = 1;
    }
}